# DLL Extractor

This Python script extracts the DLL dependencies of a Windows executable file and filters out DLLs that are commonly included with the operating system.

![preview](image.png)

## Features
- Identifies all DLLs required by a specified `.exe` file.
- Filters out DLLs that are part of the standard Windows OS (e.g., `KERNEL32.dll`, `USER32.dll`).

## Requirements
- Python 3.6 or later
- `pefile` library

## Installation
Install the required Python library:
```bash
pip install pefile
```

## Usage
Run the script with the path to an executable file as an argument:
```bash
python get_dll_dependencies.py <path_to_exe>
```

### Example
```bash
python get_dll_dependencies.py my_program.exe
```
Output:
```
Non-OS DLL Dependencies:
  glew32.dll
  glfw3.dll
  libyaml-cpp.dll
  lua54.dll
```

## Notes
- The script assumes the executable is a valid PE (Portable Executable) file.
- It gracefully handles errors such as missing files or invalid PE formats.

## License
This project is open-source and available under the MIT License.

